Almico's Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000118SpeedFanOtherpublic2004-11-01 00:192005-08-31 12:17
Reportermara 
Assigned Toalfredo 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Platformx86OSWindowsOS VersionXP Pro SP2
Product Version4.17 
Target VersionFixed in Version4.23 
Summary0000118: Switching DOS program to full screen makes DOS program not responding
DescriptionSwitching DOS program from window to full screen (Alt + Enter) causes DOS program does not respond anymore.

This happens only when SpeedFan is installed and it is probably caused by some bug in giveio.sys service.
Steps To ReproduceInstall SpeedFan and try to run some DOS program in full screen mode ;-)
TagsNo tags attached.
Motherboard Model
Video Card ModelGeforce FX 5200
Attached Files? file icon i_have_the_same_problem_(i_cant_write_notes) [^] (1 bytes) 2004-12-13 12:27 [Show Content]

- Relationships
related to 0001889resolvedalfredo DOS mouse/keyboard blocked 
related to 0002622resolvedalfredo DOS mouse/keyboard blocked 

-  Notes
(0000796)
alfredo (manager)
2005-03-26 11:37

Starting from SpeedFan 4.23 beta, SpeedFan installs an additional service (speedfan.sys). SpeedFan can now properly work both with and without GIVEIO.SYS available. You can turn GIVEIO.SYS service off and run SpeedFan. You should no longer experience the issue.
Please, let me know.
(0000797)
Panther (reporter)
2005-03-26 12:56

I've just tried SpeedFan 4.23 beta7, and it works fine! If I disable/remove GiveIO service, DOS programs are OK too, they don't freeze anymore.
The only thing I can't understand is: why does SpeedFan install GiveIO, if the program can work without it? It only causes problems.
(0000798)
alfredo (manager)
2005-03-26 14:36

This is an intermediate stage. In the future I might use only SpeedFan.sys. Currently GiveIO.sys allows SpeedFan to be much faster on program startup.
(0001143)
alfredo (manager)
2005-08-31 12:17

The transition from GIVEIO.SYS to SPEEDFAN.SYS is underway. In the future, only SPEEDFAN.SYS will be used and the issue will be gone forever. In the meantime, all you need to do is remove/disable the GIVEIO.SYS service.

- Issue History
Date Modified Username Field Change
2004-11-01 00:19 mara New Issue
2004-11-01 00:19 mara Video Card Model => Geforce FX 5200
2004-12-13 12:27 Panther File Added: i_have_the_same_problem_(i_cant_write_notes)
2005-03-26 11:37 alfredo Note Added: 0000796
2005-03-26 11:37 alfredo Status assigned => acknowledged
2005-03-26 12:56 Panther Note Added: 0000797
2005-03-26 14:36 alfredo Note Added: 0000798
2005-08-31 12:17 alfredo Note Added: 0001143
2005-08-31 12:17 alfredo Status acknowledged => resolved
2005-08-31 12:17 alfredo Resolution open => fixed
2005-08-31 12:17 alfredo Fixed in Version => 4.23
2011-10-19 14:02 alfredo Relationship added related to 0001889


Copyright © 2000 - 2018 MantisBT Team
Time: 0.2779 seconds.
memory usage: 8,082 KB
Powered by Mantis Bugtracker